%define 	own	asterisk
%define 	grp	asterisk
%define 	sown	root
%define 	sgrp	root
%define 	rawname	core

Name:		freepbx-%{rawname}
Version:	17.0.18.9
Release:	1%{?dist}
Summary:	FreePBX Core

License:	See Freepbx Readme
Source0:	https://mirror.freepbx.org/modules/packages/%{rawname}/%{rawname}-%{version}.tgz

Patch1:		freepbx-core-17.0.18.7-noBackup.patch

Requires:	freepbx >= 17.0.1

Provides:	freepbx-%{rawname} = %{version}-%{release}

BuildArch:	noarch

%description
FreePBX Core module

%prep
%setup -q -n %{rawname}
%patch1 -p1

# Controlliamo la eventuale presenza di particolarita' da gestire
for ddd in bin sbin astetc moh ; do
	[ -e $ddd ] && echo presente $ddd, va gestito && exit 1
done

# Non mi va di lanciare gpg a destra e a manca, solo per venire a sapere che ho modificato i moduli
%{__rm} module.sig

# Delete backup files
find . -name '*.orig' -exec rm '{}' ';'
find . -name '.git*' -exec rm -rf '{}' ';'

# fix dir perms
find . -type d -exec chmod 755 '{}' ';'
find . -type f -exec chmod 644 '{}' ';'
#find . -type f -regex '.*\.\(php\|html\)$' -exec chmod 644 '{}' ';'

# Non sto a richiedere + perl da quando uso mock: sed lo ho gia', prob e' nella dotazione standard
#perl -ni -e 'next if 1 .. m|^cat\b|; next if m|^EOF$|; print' hooks/logrotate
sed -i '1,/^cat /d;/^EOF$/,$d' hooks/logrotate
# Semplice metodo x accorgermi, fallendo qualora vengano introdotti nuovi hooks da gestire
%{__mkdir} etclogrotate.d
%{__mv} hooks/logrotate etclogrotate.d/freepbx-core
rmdir hooks

%install
%{__install} -d %{buildroot}%{_sysconfdir}/asterisk
%{__install} -m0664 etc/* %{buildroot}%{_sysconfdir}/asterisk/

%{__install} -d %{buildroot}%{_sysconfdir}/logrotate.d
%{__install} -m0664 etclogrotate.d/freepbx-core %{buildroot}%{_sysconfdir}/logrotate.d/

%{__install} -d %{buildroot}%{_datadir}/asterisk/agi-bin
%{__install} -m0755 agi-bin/* %{buildroot}%{_datadir}/asterisk/agi-bin

%{__install} -d %{buildroot}%{_datadir}/asterisk/sounds
%{__cp} -aR sounds/* %{buildroot}%{_datadir}/asterisk/sounds/

%{__install} -d %{buildroot}%{_datadir}/freepbx/admin/images
%{__install} -m0644 images/* %{buildroot}%{_datadir}/freepbx/admin/images

%{__install} -d %{buildroot}%{_datadir}/freepbx/admin/assets
%{__ln_s} %{_datadir}/freepbx/admin/modules/%{rawname}/assets %{buildroot}%{_datadir}/freepbx/admin/assets/%{rawname}

%{__install} -d %{buildroot}%{_datadir}/freepbx/admin/modules/%{rawname}
%{__cp} -aR `ls | egrep -v '^(agi-bin|bin|etc|sounds|moh|images|LICENSE|README.md)'` %{buildroot}%{_datadir}/freepbx/admin/modules/%{rawname}
%{__install} -d %{buildroot}%{_datadir}/freepbx/admin/modules/%{rawname}/logs
%{__install} -d %{buildroot}%{_datadir}/freepbx/admin/modules/%{rawname}/node/logs

find %{buildroot}%{_datadir}/freepbx/admin/modules/%{rawname}/assets/less -maxdepth 1 -type d '!' -name cache -exec \
	%{__install} -d '{}'/cache ';'

%preun
# Cerchiamo, per quanto possibile, di lasciare in giro poche schifezze
for ddd in `find %{_datadir}/freepbx/admin/modules/%{rawname}/assets/less -maxdepth 2 -type d -name cache` ; do
	find $ddd -type f -exec rm -f '{}' ';'
done

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%doc README.md
%defattr(0644,%{sown},%{sgrp},0755)

%attr(0664,%{own},%{grp}) %config(noreplace) %{_sysconfdir}/asterisk/*
%attr(0644,%{sown},%{sgrp}) %config(noreplace) %{_sysconfdir}/logrotate.d/*

%attr(0755,%{sown},%{sgrp}) %{_datadir}/asterisk/agi-bin/*
%attr(0644,%{sown},%{sgrp}) %{_datadir}/freepbx/admin/images/*
%attr(0644,%{own},%{grp}) %{_datadir}/asterisk/sounds/en/*
%{_datadir}/freepbx/admin/assets/*
%{_datadir}/freepbx/admin/modules/%{rawname}
%dir %attr(0755,%{own},%{grp}) %{_datadir}/freepbx/admin/modules/%{rawname}/logs
%dir %attr(0755,%{own},%{grp}) %{_datadir}/freepbx/admin/modules/%{rawname}/node/logs
%dir %attr(0755,%{own},%{grp}) %{_datadir}/freepbx/admin/modules/%{rawname}/assets/less/cache
%dir %attr(0755,%{own},%{grp}) %{_datadir}/freepbx/admin/modules/%{rawname}/assets/less/*/cache

%changelog
* Wed Dec 18 2024 Luigi Iotti <asterisk@iotti.biz> - 17.0.18.9
- Updated version

* Mon Dec 02 2024 Luigi Iotti <asterisk@iotti.biz> - 17.0.18.7
- Updated version

* Thu Sep 19 2024 Luigi Iotti <asterisk@iotti.biz> - 16.0.68.30
- Updated version

* Thu Aug 29 2024 Luigi Iotti <asterisk@iotti.biz> - 16.0.68.28
- Updated version

* Wed Jul 26 2023 Luigi Iotti <asterisk@iotti.biz> - 16.0.68.20
- Updated version

* Fri Jun 23 2023 Luigi Iotti <asterisk@iotti.biz> - 16.0.68.19
- Updated version

* Fri May 12 2023 Luigi Iotti <asterisk@iotti.biz> - 16.0.68.18
- Updated version

* Sat Apr 08 2023 Luigi Iotti <asterisk@iotti.biz> - 16.0.68.11
- Updated version

* Tue Apr 04 2023 Luigi Iotti <asterisk@iotti.biz> - 16.0.68.10
- Updated version

* Sat Mar 18 2023 Luigi Iotti <asterisk@iotti.biz> - 16.0.68.9
- Updated version

* Mon Feb 13 2023 Luigi Iotti <asterisk@iotti.biz> - 16.0.68.4
- Updated version

* Thu Feb 09 2023 Luigi Iotti <asterisk@iotti.biz> - 16.0.68.3
- Updated version

* Fri Jan 06 2023 Luigi Iotti <asterisk@iotti.biz> - 16.0.68.2
- Updated version

* Mon Nov 14 2022 Luigi Iotti <asterisk@iotti.biz> - 16.0.65.22
- Updated version

* Thu Oct 20 2022 Luigi Iotti <asterisk@iotti.biz> - 16.0.65.21
- Updated version

* Thu Sep 29 2022 Luigi Iotti <asterisk@iotti.biz> - 16.0.65.18
- Updated version

* Sat Sep 17 2022 Luigi Iotti <asterisk@iotti.biz> - 16.0.65.16
- Updated version

* Wed Sep 07 2022 Luigi Iotti <asterisk@iotti.biz> - 16.0.65.15
- Updated version

* Sun Aug 07 2022 Luigi Iotti <asterisk@iotti.biz> - 16.0.65.5
- Updated version

* Tue Jun 14 2022 Luigi Iotti <asterisk@iotti.biz> - 16.0.65.3
- Updated version

* Tue Apr 12 2022 Luigi Iotti <asterisk@iotti.biz> - 16.0.63
- Updated version

* Tue Apr 05 2022 Luigi Iotti <asterisk@iotti.biz> - 16.0.61
- Updated version

* Fri Mar 11 2022 Luigi Iotti <asterisk@iotti.biz> - 16.0.60
- Updated version

* Mon Mar 07 2022 Luigi Iotti <asterisk@iotti.biz> - 16.0.58
- Updated version

* Mon Feb 28 2022 Luigi Iotti <asterisk@iotti.biz> - 16.0.57
- Create dir /usr/share/freepbx/admin/modules/core/logs

* Wed Feb 23 2022 Luigi Iotti <asterisk@iotti.biz> - 16.0.57
- Updated version

* Wed Feb 09 2022 Luigi Iotti <asterisk@iotti.biz> - 16.0.56.34
- Updated version

* Sun Jan 23 2022 Luigi Iotti <asterisk@iotti.biz> - 16.0.56.28
- Create node logs dir with appropriate owner and modes

* Tue Jan 18 2022 Luigi Iotti <asterisk@iotti.biz> - 16.0.56.28
- Patch to exclude chown
- Initial build
